DOM::HTMLBodyElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLBodyElement Class Reference

The HTML document body. More...

`#include <html_base.h>`

Inheritance diagram for DOM::HTMLBodyElement:

[legend]
Collaboration diagram for DOM::HTMLBodyElement:

[legend]
List of all members.

## Public Member Functions
| HTMLBodyElement (const HTMLBodyElement &other)
| HTMLBodyElement (const Node &other)
HTMLBodyElement & | operator= (const HTMLBodyElement &other)
HTMLBodyElement & | operator= (const Node &other)
DOMString | aLink () const
| Color of active links (after mouse-button down, but before mouse-button up).
void | setALink (const DOMString &)
| see aLink
DOMString | background () const
| URI of the background texture tile image.
void | setBackground (const DOMString &)
| see background
DOMString | bgColor () const
| Document background color.
void | setBgColor (const DOMString &)
| see bgColor
DOMString | link () const
| Color of links that are not active and unvisited.
void | setLink (const DOMString &)
| see link
DOMString | text () const
| Document text color.
void | setText (const DOMString &)
| see text
DOMString | vLink () const
| Color of links that have been visited by the user.
void | setVLink (const DOMString &)
| see vLink
## Protected Member Functions
| HTMLBodyElement (HTMLBodyElementImpl *impl)

## Detailed Description

The HTML document body.

This element is always present in the DOM API, even if the tags are not present in the source document. See the BODY element definition in HTML 4.0.

Definition at line 49 of file html_base.h.

## Member Function Documentation

DOMString HTMLBodyElement::aLink | ( |  | ) | const

| Color of active links (after mouse-button down, but before mouse-button up). See the alink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 58 of file html_base.cpp.

void HTMLBodyElement::setALink | ( | const DOMString & |  | ) |

| see aLink Definition at line 63 of file html_base.cpp.

DOMString HTMLBodyElement::background | ( |  | ) | const

| URI of the background texture tile image. See the background attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 68 of file html_base.cpp.

void HTMLBodyElement::setBackground | ( | const DOMString & |  | ) |

| see background Definition at line 73 of file html_base.cpp.

DOMString HTMLBodyElement::bgColor | ( |  | ) | const

| Document background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 78 of file html_base.cpp.

void HTMLBodyElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 84 of file html_base.cpp.

DOMString HTMLBodyElement::link | ( |  | ) | const

| Color of links that are not active and unvisited. See the link attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 89 of file html_base.cpp.

void HTMLBodyElement::setLink | ( | const DOMString & |  | ) |

| see link Definition at line 95 of file html_base.cpp.

DOMString HTMLBodyElement::text | ( |  | ) | const

| Document text color. See the text attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 100 of file html_base.cpp.

void HTMLBodyElement::setText | ( | const DOMString & |  | ) |

| see text Definition at line 106 of file html_base.cpp.

DOMString HTMLBodyElement::vLink | ( |  | ) | const

| Color of links that have been visited by the user. See the vlink attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 111 of file html_base.cpp.

void HTMLBodyElement::setVLink | ( | const DOMString & |  | ) |

| see vLink Definition at line 117 of file html_base.cpp.

The documentation for this class was generated from the following files:

- html_base.h
- html_base.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001